Bug 142568 - fixed unchangable continous sound from the speakres
fixed unchangable continous sound from the speakres
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 12:47 EST by Nadav Kavalerchik
Modified: 2015-01-04 17:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-17 03:53:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nadav Kavalerchik 2004-12-10 12:47:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
just after resetting the hardware on the boot loader, i start to hear
fixed unchangable continous sound (like when you turn your mic infront
of the speakers) .
alsactl restore doesn't work . 
all alsamixer's values remain 100% .

i'm using:
Linux harmony 2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 i686
i386 GNU/Linux

with alsa-lib 1.0.6-6

/etc/modprobe.conf
### Sound
# ALSA portion
alias char-major-116 snd
alias snd-card-0 snd-sb16
# module options should go here
# OSS/Free portion
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0


Version-Release number of selected component (if applicable):
alsa-lib 1.0.6-6

How reproducible:
Always

Steps to Reproduce:
1.boot the computer
2.
3.
    

Additional info:

i'm not sure but i think it happend just after updating the alsa libs
Comment 1 Bill Nottingham 2004-12-10 16:52:03 EST
Is there a particular input or output when muted that makes it go away?
Comment 2 Nadav Kavalerchik 2004-12-11 03:16:36 EST
muting the device (via KDE's mixer) doesn't change a thing. 
 
and i think i found a discussion thread describing the problem: 
http://www.spinics.net/lists/rhl/msg87356.html 
 
here is part of my lsmod: 
ns558                   5441  0 
gameport                4801  1 ns558 
snd_sb16               12717  1 
snd_opl3_lib           11201  1 snd_sb16 
snd_sb16_dsp           14913  1 snd_sb16 
snd_pcm_oss            47609  0 
snd_mixer_oss          17217  1 snd_pcm_oss 
snd_pcm                97993  2 snd_sb16_dsp,snd_pcm_oss 
snd_timer              29765  2 snd_opl3_lib,snd_pcm 
snd_page_alloc          9673  1 snd_pcm 
snd_sb16_csp           23233  1 snd_sb16 
snd_sb_common          18369  3 snd_sb16,snd_sb16_dsp,snd_sb16_csp 
snd_hwdep               9413  2 snd_opl3_lib,snd_sb16_csp 
snd_mpu401_uart         8769  1 snd_sb16 
snd_rawmidi            26725  1 snd_mpu401_uart 
snd_seq_device          8137  2 snd_opl3_lib,snd_rawmidi 
snd                    54053  15 
snd_sb16,snd_opl3_lib,snd_sb16_dsp,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_sb16_csp,snd_sb_common,snd_hwdep,snd_mpu401_uart,snd_rawmidi,snd_seq_device 
soundcore               9889  1 snd 
 
here is  (part of) what kudzu found: 
class: AUDIO 
bus: ISAPNP 
detached: 0 
driver: snd-sb16 
desc: "Creative SB16 PnP - CTL0031" 
deviceId: CTL0031 
pdeviceId: CTL0025 
 
class: UNSPEC 
bus: ISAPNP 
detached: 0 
driver: ns558 
desc: "Creative SB16 PnP - CTL7001" 
deviceId: CTL7001 
pdeviceId: CTL0025 
compat: PNPb02f 
- 
class: UNSPEC 
bus: ISAPNP 
detached: 0 
driver: unknown 
desc: "Creative SB16 PnP - PNPffff" 
deviceId: PNPffff 
pdeviceId: CTL0025 
- 
class: UNSPEC 
bus: ISAPNP 
detached: 0 
driver: unknown 
desc: "Creative SB16 PnP - PNPffff" 
deviceId: PNPffff 
pdeviceId: CTL0025 
 
what's also interesting is that the internal modem (which is isapnp) is not working 
too ! 
 
here is what kudzu found about it: 
 
class: UNSPEC 
bus: ISAPNP 
detached: 0 
driver: unknown 
desc: "Texas Instruments Inc. TUT 33.6 FAX Internal - TEX0002" 
deviceId: TEX0002 
pdeviceId: TEX0011 
 
so... 
actually i think it's a problem with isapnp detecting the devices on board. 
 
 
Comment 3 Bill Nottingham 2004-12-13 20:17:44 EST
If it's loaded, it's detected fine. Assigning to the kernel, seems
like a driver issue.
Comment 4 Nadav Kavalerchik 2004-12-14 10:48:27 EST
I'm using 2.6.9-1.667 for a long time and it append after updating a bunch of RPMs 
with the up2date. ( so i don't think it's a kernel module problem ) 
unfortunately i don't really know which RPM update caused it. 
 
a little bit more info... 
when I'm passing acpi=off to the kernel while booting the "continues sound" from 
the speakers is not generated. ( interesting ! ) i've compaired: IRQs IO-ports and 
more data from boot to boot and i don't c any difference ,even when disabling the 
acpi ( daemon too ) 
Comment 5 Nadav Kavalerchik 2004-12-17 03:53:45 EST
i don't know way but today i logged into my user using xfce4(rc1) and
found out that the sound works just fine :-)

i think it was a KDE bug !!! 

so i'm closing this one

thanks for all you help
nadav :-)

Note You need to log in before you can comment on or make changes to this bug.